GET /api/v202210/ghg/factor/{factorId}/version

Get the version history of a specific GHG factor

GetGHGFactorVersionHistoryV202210

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
factorId The GHG factor to retrieve history for integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GHGFactorVersionHistoryResponseV202210
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
commodityUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
factorCO2EUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
factorCategory GHGFactorCategoryV202210
GHGFactorCategoryV202210 properties
Property Description Type
factorCategoryId The Factor Category identifier integer (int32)
factorCategoryInfo The Factor Category Info string
factorDescription Description of the factor string
factorId Identifier for the factor string
factorInfo Name of the factor string
factorUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
versions List of versions GHGVersionV202210[]
GHGVersionV202210 properties
Property Description Type
effectiveDate Effective Date string (date-time)
gases List of gases per version. GHGGasV202210[]
GHGGasV202210 properties
Property Description Type
co2Evalue Co2Evalue number (double)
gasAmount Gas amount number (double)
gasId Gas identifier integer (int32)
gasInfo Gas descrption string
source Source string
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "commodityUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "factorCO2EUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "factorCategory": {      "factorCategoryId": 1,      "factorCategoryInfo": "string"
    },    "factorDescription": "string",    "factorId": "string",    "factorInfo": "string",    "factorUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "versions": [
      {      "effectiveDate": "2026-03-30",      "gases": [],      "source": "string"
    }
    ]
  }
]